$(function(){
	/**
	 * 退出后台
	 */
	$("#loginout_btn").click(function(){
        doDataPost(
            null,
            false,
            ctx+"/adm/login/out",
            function(result){
                $("div.popup_window").remove();
                location.href= ctx + "/adm/login_ui";
            }
        );
	});
	/**
	 * 修改密码
	 */
	$('#alterPswBtn').click(function(){
		if($('#oldPsw').val()==null||$('#oldPsw').val()==''){
			alert("请输入原始密码");
			return;
		}
		if($('#newPsw').val()==null||$('#newPsw').val()==''){
			alert("请输入新密码");
			return;
		}
		if($('#newPsw2').val()==null||$('#newPsw2').val()==''){
			alert("请输入确定新密码");
			return;
		}
		if($('#newPsw').val()!=$('#newPsw2').val()){
			alert("新密码和确定新密码不一致");
			return;
		}


        doFormPost("alterPsw",ctx+"/admin/udp_psw",function(json){
            if(json.code==0){
                document.getElementById("alterMySelfPswForm").reset();
                $('#updatePwd-modal').hide();
                alert("修改成功，请重新登录！！");
                 location.href = ctx + '/admin/logout';
            }else {
                alert(json.msg);
            }

		});

	});
	
	/**
	 * 修改开锁密码
	 */
	$('#updOpenPswBtn').click(function(){
		if($('#oldOpenPsw').val()==null||$('#oldOpenPsw').val()==''){
			alert("请输入原始密码");
			return;
		}
		if($('#newOpenPsw').val()==null||$('#newOpenPsw').val()==''){
			alert("请输入新密码");
			return;
		}
		if($('#newOpenPsw2').val()==null||$('#newOpenPsw2').val()==''){
			alert("请输入确定新密码");
			return;
		}
		if($('#newOpenPsw').val()!=$('#newOpenPsw2').val()){
			alert("新密码和确定新密码不一致");
			return;
		}
		doFormPost('alterOpenPsw',ctx+"/admin/udp_openpsw",function(msg){
			if(msg.error==0){
				//修改成功
				document.getElementById("alterMySelfOpenPswForm").reset();
				$('#updateOpenPwd-modal').hide();
				alert("修改成功");
			}else{
				alert(msg.errormsg);
			}
		});
	});
});